# $Revision: 1.26 $, $Date: 2002/11/17 15:20:07 $
%define		dictname misc
Summary:	Miscellaneous dictionaries for DICTD
Summary(pl):	Rne sowniki dla dictd
Name:		dict-%{dictname}
Version:	1.5
Release:	10
License:	GPL
Group:		Applications/Dictionaries
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Source1:	http://dsl.org/faq/fjd/journo-1.1.tar.gz
Source2:	http://wiretap.area.com/Gopher/Library/Classic/devils.txt
Source3:	http://ptm.linux.pl/slownik
URL:		http://www.dict.org/
BuildRequires:	autoconf
BuildRequires:	dictfmt
BuildRequires:	dictzip
Requires:	dictd
Requires:	%{_sysconfdir}/dictd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains misc dictionaries for use by the dictionary
server in the dictd package.

%description -l pl
Ten pakiet zawiera rne sowniki do uywania z serwerem sownika
dictd.

%package -n dict-devil
Summary:	Devil's dictionary for DICTD
Summary(pl):	Sownik Devil's Dictionary dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-devil
This package contains The Devil's Dictionary, a cynical and irreverent
dictionary of common words, formatted for use by the dictionary server
in the dictd package.

%description -n dict-devil -l pl
Sownik The Devil's Dictionary, zawierajcy cyniczne i lekcewace
opisy sw - do uywania z serwerem sownika dictd.

%package -n dict-easton
Summary:	easton dictionary for DICTD
Summary(pl):	Sownik easton dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-easton
This package contains Easton's 1897 Bible Dictionary, based on M.G.
Easton M.A., D.D.'s Illustrated Bible Dictionary, Third Edition,
published by Thomas Nelson, 1897, for use by the dictionary server in
the dictd package.

%description -n dict-easton -l pl
Ten pakiet zawiera sownik Easton's 1897 Bible Dictionary do uywania
z serwerem sownika dictd.

%package -n dict-elements
Summary:	elements dictionary for DICTD
Summary(pl):	Sownik elements dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-elements
This package contains a freely-distributed database of elemental
information, edited by Jay Kominek, for use by the dictionary server
in the dictd package.

%description -n dict-elements -l pl
Ten pakiet zawiera baz danych informacji o pierwiastkach,
przygotowan przez Jaya Kominka, do uywania z serwerem sownika
dictd.

%package -n dict-foldoc
Summary:	foldoc dictionary for DICTD
Summary(pl):	Sownik foldoc dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-foldoc
This package contains The Free On-line Dictionary of Computing for use
by the dictionary server in the dictd package.

%description -n dict-foldoc -l pl
Ten pakiet zawiera sownik The Free On-line Dictionary of Computing do
uywania z serwerem sownika dictd.

%package -n dict-hitchcock
Summary:	hitchcock dictionary for DICTD
Summary(pl):	Sownik hitchcock dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-hitchcock
This package contains Hitchcock's Bible Names Dictionary, derived from
Hitchcock's New and Complete Analysis of the Holy Bible, published in
the late 1800's, for use by the dictionary server in the dictd
package.

%description -n dict-hitchcock -l pl
Ten pakiet zawiera sownik Hitchcock's Bible Names Dictionary do
uywania z serwerem sownika dictd.

%package -n dict-journo
Summary:	Journalism dictionary for DICTD
Summary(pl):	Sownik Journalism dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-journo
This package contains Free Journalism Dictionary for use by the
dictionary server in the dictd package.

%description -n dict-journo -l pl
Ten pakiet zawiera sownik Free Journalism Dictionary do uywania z
serwerem sownika dictd.

%package -n dict-ptm
Summary:	PTM dictionary for DICTD
Summary(pl):	Sownik PTM dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-ptm
This package contains dictionary created by Projekt Tlumaczenia
Manuali for use by the dicitonary server in the dictd package.

%description -n dict-ptm -l pl
Ten pakiet zawiera sownik Projektu Tumaczenia Manuali, do uycia z
serwerem dictd.

%package -n dict-world95
Summary:	world95 dictionary for DICTD
Summary(pl):	Sownik world95 dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description -n dict-world95
This package contains The 1995 CIA World Factbook for use by the
dictionary server in the dictd package.

%description -n dict-world95 -l pl
Ten pakiet zawiera sownik The 1995 CIA World Factbook do uywania z
serwerem sownika dictd.

%prep
%setup -q -a1
cp %{SOURCE2} ./
cp %{SOURCE3} ./

%build
%{__autoconf}
%configure
%{__make} db

sed 's/^[[:alpha:]]\{2,\}$/:&:/' journo-1.1/journalism.dict | \
	dictfmt -j -u "http://dsl.org/lit/" -s Journalism journo
dictzip journo.dict

sed 's/^[[:upper:]]\{2,\}/:&:/' devils.txt | \
	dictfmt -j -u http://wiretap.area.com/Gopher/Library/Classic/devils.txt \
	-s "The Devil's Dictionary (1881-1906)" devil
dictzip devil.dict

#egrep -v "^#" slownik | tr -d \[\] | tr 󱶳 eoaslzzcn | \
egrep -v "^#" slownik | tr -d \[\] | \
	sed 's/^\([[:alnum:]]\{2,\}\)\ \ /:\1:/' | \
	dictfmt -j -u "http://ptm.linux.pl/slownik" \
	-s "Projekt Tlumaczenia Manuali" ptm
dictzip ptm.dict

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd/,%{_sysconfdir}/dictd,%{_bindir}}
%{__make} install dictdir=$RPM_BUILD_ROOT%{_datadir}/dictd
install ptm.* journo.* devil.* $RPM_BUILD_ROOT%{_datadir}/dictd

# jargon has separate package
rm -f $RPM_BUILD_ROOT%{_datadir}/dictd/jargon.*

for i in easton elements foldoc hitchcock world95 journo ptm devil; do
dictprefix=%{_datadir}/dictd/$i
echo "# Misc Dictionaries - $i
database $i {
	data  \"$dictprefix.dict.dz\"
	index \"$dictprefix.index\"
}" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/$i.dictconf
done;

%clean
rm -rf $RPM_BUILD_ROOT

%post -n dict-devil
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-devil
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post -n dict-easton
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-easton
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post -n dict-elements
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-elements
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post -n dict-foldoc
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-foldoc
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post -n dict-hitchcock
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-hitchcock
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post -n dict-journo
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-journo
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%post -n dict-ptm
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-ptm
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%post -n dict-world95
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun -n dict-world95
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%files -n dict-devil
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/devil.dictconf
%{_datadir}/dictd/devil.*

%files -n dict-easton
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/easton.dictconf
%{_datadir}/dictd/easton.*

%files -n dict-elements
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/elements.dictconf
%{_datadir}/dictd/elements.*

%files -n dict-foldoc
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/foldoc.dictconf
%{_datadir}/dictd/foldoc.*

%files -n dict-hitchcock
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/hitchcock.dictconf
%{_datadir}/dictd/hitchcock.*

%files -n dict-journo
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/journo.dictconf
%{_datadir}/dictd/journo.*

%files -n dict-ptm
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/ptm.dictconf
%{_datadir}/dictd/ptm.*

%files -n dict-world95
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/world95.dictconf
%{_datadir}/dictd/world95.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-misc.spec,v $
Revision 1.26  2002/11/17 15:20:07  gotar
- using new dictfmt from external package;
  added BR: dictfmt,
- commented out truncating polish letters,
- cosmetics,
- release 10, STBR.

Revision 1.25  2002/10/02 13:05:54  qboosh
- typo, release 9

Revision 1.24  2002/09/29 08:48:56  gotar
- cosmetics,
- release 8 (there was no increase after adding ptm dictionary).

Revision 1.23  2002/09/28 17:27:12  kloczek
- adapterized.

Revision 1.22  2002/09/27 15:42:35  hunter
--typos in dict names
--removed iso-8859-2 chars in ptm dictd files.

Revision 1.21  2002/09/27 14:19:18  hunter
-Another en-pl dictionary, from http://ptm.linux.pl

Revision 1.20  2002/09/09 19:07:00  qboosh
- fixed dict-elements pl description; release 7

Revision 1.19  2002/09/09 14:33:05  gotar
- cosmetics,
- unified config entries and dict-* specs appearance,
- use %{__autoconf} macro.
- more descriptions,
- release 6.

Revision 1.18  2002/08/09 23:02:13  qboosh
- typos; release 5

Revision 1.17  2002/08/06 07:58:12  qboosh
- removed dict-fmt - newer version with manual in separate package; release 4

Revision 1.16  2002/07/22 09:28:08  qboosh
- fixed world95 subpackage and dict-fmt pl description
- release 3

Revision 1.15  2002/07/18 01:54:52  kloczek
- release 2: spec adaptrized.

Revision 1.14  2002/07/17 00:46:28  hunter
--fished out dictfmt utility

Revision 1.13  2002/06/22 23:20:12  qboosh
- sorted subpackages, cleanups

Revision 1.12  2002/06/22 18:07:48  hunter
-added devils and journalism dictrionaries.

Revision 1.6  2001/11/21 22:17:00  kloczek
- cosmetics.

Revision 1.5  2001/11/21 14:44:20  qboosh
- pl translations; removed %%files from empty base backage

Revision 1.4  2001/10/23 15:26:14  undefine
- ac stuff, removed noarch(don't work with configure)

Revision 1.3  2001/07/26 03:10:00  agaran
groups strikes back.. im blind..fixed

Revision 1.2  2001/07/26 02:58:59  agaran
just groups

Revision 1.1  2001/03/17 16:36:53  undefine
- Initital version
